<?php
require_once 'volume-functions.php';
$radius = $_GET['radius'];
[$errorMessage, $volume] = sphereVolumeWithValidation($radius);
?><!doctype html>
<html lang="en">
    <head>
        <title>Sphere with validation</title>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <link rel="stylesheet" href="styles.css">
    </head>
    <body>
        <h1>Sphere with validation</h1>
        <?php
        if ($errorMessage != '') {
            print "<p class='error-message'>$errorMessage</p>";
        }
        else {
            print "<p>For a sphere of radius $radius, the volume is $volume.</p>";
        }
        ?>
    </body>
</html>
