<?php

function sphereVolumeWithValidation($radius) {
    // Initialize return values.
    $errorMessage = '';
    $volume = 0;
    // Is radius numeric?
    if (! is_numeric($radius)) {
        $errorMessage = "Sorry, radius must be a number. Got '$radius'.<br>\n";
    }
    // Errors so far?
    if ($errorMessage == '') {
        // Is radius big enough?
        if ($radius <= 0) {
           $errorMessage = "Sorry, radius of $radius is too small.<br>\n";
        }
    }
    // Errors so far?
    if ($errorMessage == '') {
        // Compute volume.
        $volume = 4 / 3 * 3.14159 * $radius * $radius * $radius;
    }
    // Return error message, and volume.
    return [$errorMessage, $volume];
}

function sphereVolume($radius) {
    $volume = 4/3*3.14159*$radius*$radius*$radius;
    return $volume;
}

function cylinderVolume($radius, $height) {
    $volume = 3.14159 * $radius * $radius * $height;
    return $volume;
}

function cubeVolume($sideLength) {
    $volume = $sideLength * $sideLength * $sideLength;
    return $volume;
}
